# GimpUi.LabelSpin

    const GimpUi = imports.gi.GimpUi;

    let labelSpin = new GimpUi.LabelSpin({
        lower: value,
        upper: value,
    });

This widget is a subclass of GimpUi.Labeled with a GimpUi.SpinButton.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelSpin

## Constructors

- GimpUi.LabelSpin.new

## Methods

- GimpUi.LabelSpin.prototype.get_spin_button
- GimpUi.LabelSpin.prototype.get_value
- GimpUi.LabelSpin.prototype.set_digits
- GimpUi.LabelSpin.prototype.set_increments
- GimpUi.LabelSpin.prototype.set_value

## Properties

- digits
- lower
- upper
- value

## Signals

- value-changed

## Virtual functions

- GimpUi.LabelSpin::value_changed